> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledgersyncappv2.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adds an employee to the customer



## OpenAPI

````yaml /openapi-v2.json post /api/v2/employee/add
openapi: 3.1.0
info:
  title: LedgerSync V2 API
  version: '2.0'
servers:
  - url: https://ledgersyncappv2.com
    description: Production
  - url: https://staging.ledgersyncappv2.com
    description: Sandbox
security: []
tags:
  - name: account-api
    description: Account REST APIs
  - name: password-api
    description: Password REST APIs
  - name: transaction-api
    description: Transaction REST APIs
  - name: phone-verification-api
    description: Phone Verification REST APIs
  - name: employee-api
    description: Employee REST APIs
  - name: client-api
    description: Client REST APIs
  - name: check-api
    description: Check REST APIs
  - name: accounting-ai-api
    description: AI rule suggestion endpoints for external accounting integrations
  - name: institution-api
    description: Institution REST APIs
  - name: statement-api
    description: Statement REST APIs
  - name: authentication-api
    description: Auth REST APIs
paths:
  /api/v2/employee/add:
    post:
      tags:
        - employee-api
      summary: Adds an employee to the customer
      operationId: addEmployee
      parameters:
        - name: Auth-Token
          in: header
          description: Authentication token provided during the authentication process
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddEmployeeRequest'
        required: true
      responses:
        '200':
          description: Employee was successfully added
          content:
            '*/*':
              schema:
                type: string
        '403':
          description: Failed to add employee
          content:
            '*/*':
              schema:
                type: string
        '404':
          description: Employee not found
          content:
            '*/*':
              schema:
                type: string
components:
  schemas:
    AddEmployeeRequest:
      type: object
      properties:
        username:
          type: string
          pattern: (?=(.*[a-zA-Z]){3})[0-9a-zA-Z]{8,}
        password:
          type: string
          maxLength: 128
          minLength: 1
        name:
          type: string
        email:
          type: string
          pattern: >-
            ^[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)*@([a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+|\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])$
      required:
        - email
        - name
        - password
        - username

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.